<div id="homepage" :class="[heroHeightSet ? '' : 'uninitialized']" v-cloak>
  <!-- Button trigger modal -->
  <div class="text-center my-3">
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
      Add Employee
    </button>
  </div>

  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Add New Employee Record</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form action="#">
          <div class="modal-body">
            <div class="container">
              <div class="form-row">
                <div class="form-group col-sm">
                  <label for="employeeName">Employee Name</label>
                  <input id="employeeName" type="text" class="form-control" />
                </div>
              </div>

              <div class="form-row">
                <div class="form-group col-sm">
                  <label for="timein">Time in</label>
                  <input id="timein" type="time" class="form-control" />
                </div>

                <div class="form-group col-sm">
                  <label for="timeout">Time out</label>
                  <input id="timeout" type="time" class="form-control" />
                </div>
              </div>

              <div class="form-row">
                <div class="form-group col-sm">
                  <label for="activity">Activity</label>
                  <textarea id="activity" class="form-control"></textarea>
                </div>
              </div>

              <div class="form-row">
                <div class="form-group col-sm">
                  <label for="curDate">Date</label>
                  <input id="curDate" type="date" class="form-control" v-bind:value="curDateCalc"/>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button v-on:click="addNewEmployee" type="submit" class="btn btn-primary">Save changes</button>
          </div>
        </form>
      </div>
    </div>
  </div>
  <div id="hourContainer" class="container">
    <!-- Header row -->
    <div class="row">
      <div class="col-sm-1"></div>
      <div class="col-sm">
        <p class="text-left">
          Name
        </p>
      </div>
      <div class="col-sm">
        <p class="text-center">
          Clock in
        </p>
      </div>
      <div class="col-sm">
        <p class="text-center">
          Clock out
        </p>
      </div>
      <div class="col-sm">
        <p>
          Total
        </p>
      </div>
    </div>
    <!-- Employee Content -->
    <div id="1" class="row">
      <div class="col-sm-1 text-right">
        <i class="fa fa-pencil-square-o fa-2x" aria-hidden="true"></i>
      </div>
      <div class="col-sm text-left">
        <p class="name">
          Employee 1
        </p>
      </div>
      <div class="col-sm">
        <input type="text" class="form-control timeIn" readonly />
      </div>
      <div class="col-sm">
        <input type="text" class="form-control timeOut" readonly />
      </div>
      <div class="col-sm">
        <p class="total">
          0 Hours
        </p>
      </div>
    </div>
  </div>

  <div class="text-center my-3">
    <button v-on:click="generateCSV" type="button" class="btn btn-primary">Generate CSV</button>
  </div>

  <div class="text-center my-3">
    <button v-on:click="deleteData" type="button" class="btn btn-danger">Clear Data</button>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
